petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSSetImplicit

Set the flag for implicit solve for this field. This is just a guide for IMEX

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetImplicit(PetscDS prob, PetscInt f, PetscBool implicit)

Not collective Many br

### Input Parameters

| prob | - The PetscDS object Many br
| f | - The field number Many br
| implicit | - The flag indicating what kind of solve to use for this field Many br

Many br

### See Also

PetscDSGetImplicit(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:developer
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages